Pretest Build Reports - Build 6042 details

For more information see http://pretest.nongnu.org.

← back to list

Project: coreutils-8.30.33-1afb0
Source: https://agnx.s3.amazonaws.com/tmp/coreutils-8.30.33-1afb0.tar.xz
System: Oracle SunOS 5.10 (sun4v)
Status:
make-check failed
Download logs (what's inside?) coreutils-8.30.33-1afb0.pretest-build-report.build-6042.tar.bz2
Failed tests from tests-suite-summary.log:
=========================================================
GNU coreutils 8.30.33-1afb0: ./tests/test-suite.log
=========================================================

# TOTAL: 611
# PASS:  445
# SKIP:  159
# XFAIL: 0
# FAIL:  6
# XPASS: 0
# ERROR: 1

ERROR: tests/misc/readlink-fp-loop
==================================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-readlink-fp-loop.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-readlink-fp-loop.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
+++ perms='drwx------ 2 2 Dec 22 00:34 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ readlink pwd
+ require_built_ readlink pwd
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env readlink --version
readlink (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Dmitry V. Levin.
+ for i in '$*'
+ env pwd --version
pwd (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Jim Meyering.
++ env pwd -P
+ cwd=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
+ ln -s s p
+ ln -s d s
+ mkdir d
+ echo 2
+ ln -s ../s/2 d/1
+ readlink -v -e p/1
+ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW/d/2
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ diff_status_=0
+ test 0 -eq 0
+ rm -f diff.out
+ return 0
+ ln -sf ../s/1 d/2
ln: failed to access 'd/2/1': Not a directory
+ framework_failure_
+ warn_ 'readlink-fp-loop.sh: set-up failure: '
+ case $IFS in
+ printf '%s\n' 'readlink-fp-loop.sh: set-up failure: '
readlink-fp-loop.sh: set-up failure:
+ test 9 = 2
+ printf '%s\n' 'readlink-fp-loop.sh: set-up failure: '
+ sed 1q
+ Exit 99
+ set +e
+ exit 99
+ exit 99
+ remove_tmp_
+ __st=99
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-readlink-fp-loop.sh.8PbW
+ exit 99
ERROR tests/misc/readlink-fp-loop.sh (exit status: 99)

FAIL: tests/cp/no-deref-link1
=============================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-no-deref-link1.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-no-deref-link1.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
+++ perms='drwx------ 2 2 Dec 22 00:45 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir a b
+ msg=bar
+ echo bar
+ cd b
+ ln -s ../a/foo .
ln: failed to create symbolic link '.': Invalid argument
+ cd ..
+ returns_ 1 cp -d a/foo b
+ fail=1
++ cat a/foo
+ test bar = bar
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link1.sh.yV24
+ exit 1
FAIL tests/cp/no-deref-link1.sh (exit status: 1)

FAIL: tests/cp/no-deref-link2
=============================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-no-deref-link2.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-no-deref-link2.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
+++ perms='drwx------ 2 2 Dec 22 00:45 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ cp
+ require_built_ cp
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env cp --version
cp (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Torbjorn Granlund, David MacKenzie, and Jim Meyering.
+ mkdir b
+ msg=bar
+ echo bar
+ cd b
+ ln -s ../a .
ln: failed to create symbolic link '.': Invalid argument
+ cd ..
+ returns_ 1 cp -d a b
+ fail=1
++ cat a
+ test bar = bar
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-no-deref-link2.sh.WGwT
+ exit 1
FAIL tests/cp/no-deref-link2.sh (exit status: 1)

FAIL: tests/id/zero
===================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-zero.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-zero.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
+++ perms='drwx------ 2 2 Dec 22 00:49 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ id
+ require_built_ id
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env id --version
id (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Arnold Robbins and David MacKenzie.
++ id -nu
+ u=agn
+ id
uid=11068(agn) gid=10000(csw) groups=10000(csw)
+ id agn
uid=11068(agn) gid=10000(csw) groups=10000(csw)
+ echo 'id: option --zero not permitted in default format'
+ id --zero
+ compare /dev/null out
+ compare_dev_null_ /dev/null out
+ test 2 = 2
+ test x/dev/null = x/dev/null
+ test -s out
+ return 0
+ return 0
+ compare err-exp err
+ compare_dev_null_ err-exp err
+ test 2 = 2
+ test xerr-exp = x/dev/null
+ test xerr = x/dev/null
+ return 2
+ case $? in
+ compare_ err-exp err
+ diff -u err-exp err
+ diff_status_=0
+ test 0 -eq 0
+ rm -f diff.out
+ return 0
+ users=agn
+ for u in root man postfix sshd nobody
+ id root
+ users='agn root'
+ for u in root man postfix sshd nobody
+ id man
+ for u in root man postfix sshd nobody
+ id postfix
+ for u in root man postfix sshd nobody
+ id sshd
+ users='agn root sshd'
+ for u in root man postfix sshd nobody
+ id nobody
+ users='agn root sshd nobody'
+ printf '%s\n' agn root sshd nobody ''
+ printf '\n'
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] agn'
+ printf '\n%s: ' 'id -g[z] agn'
+ id -g agn
+ id -gz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] agn'
+ printf '\n%s: ' 'id -gn[z] agn'
+ id -gn agn
+ id -gnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] agn'
+ printf '\n%s: ' 'id -gr[z] agn'
+ id -gr agn
+ id -grz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] agn'
+ printf '\n%s: ' 'id -grn[z] agn'
+ id -grn agn
+ id -grnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] agn'
+ printf '\n%s: ' 'id -G[z] agn'
+ id -G agn
+ id -Gz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] agn'
+ printf '\n%s: ' 'id -Gn[z] agn'
+ id -Gn agn
+ id -Gnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] agn'
+ printf '\n%s: ' 'id -Gr[z] agn'
+ id -Gr agn
+ id -Grz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] agn'
+ printf '\n%s: ' 'id -Grn[z] agn'
+ id -Grn agn
+ id -Grnz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] agn'
+ printf '\n%s: ' 'id -u[z] agn'
+ id -u agn
+ id -uz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] agn'
+ printf '\n%s: ' 'id -un[z] agn'
+ id -un agn
+ id -unz agn
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] agn'
+ printf '\n%s: ' 'id -ur[z] agn'
+ id -ur agn
+ id -urz agn
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] agn'
+ printf '\n%s: ' 'id -urn[z] agn'
+ id -urn agn
+ id -urnz agn
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] root'
+ printf '\n%s: ' 'id -g[z] root'
+ id -g root
+ id -gz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] root'
+ printf '\n%s: ' 'id -gn[z] root'
+ id -gn root
+ id -gnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] root'
+ printf '\n%s: ' 'id -gr[z] root'
+ id -gr root
+ id -grz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] root'
+ printf '\n%s: ' 'id -grn[z] root'
+ id -grn root
+ id -grnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] root'
+ printf '\n%s: ' 'id -G[z] root'
+ id -G root
+ id -Gz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] root'
+ printf '\n%s: ' 'id -Gn[z] root'
+ id -Gn root
+ id -Gnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] root'
+ printf '\n%s: ' 'id -Gr[z] root'
+ id -Gr root
+ id -Grz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] root'
+ printf '\n%s: ' 'id -Grn[z] root'
+ id -Grn root
+ id -Grnz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] root'
+ printf '\n%s: ' 'id -u[z] root'
+ id -u root
+ id -uz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] root'
+ printf '\n%s: ' 'id -un[z] root'
+ id -un root
+ id -unz root
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] root'
+ printf '\n%s: ' 'id -ur[z] root'
+ id -ur root
+ id -urz root
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] root'
+ printf '\n%s: ' 'id -urn[z] root'
+ id -urn root
+ id -urnz root
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] sshd'
+ printf '\n%s: ' 'id -g[z] sshd'
+ id -g sshd
+ id -gz sshd
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] sshd'
+ printf '\n%s: ' 'id -gn[z] sshd'
+ id -gn sshd
+ id -gnz sshd
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] sshd'
+ printf '\n%s: ' 'id -gr[z] sshd'
+ id -gr sshd
+ id -grz sshd
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] sshd'
+ printf '\n%s: ' 'id -grn[z] sshd'
+ id -grn sshd
+ id -grnz sshd
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] sshd'
+ printf '\n%s: ' 'id -G[z] sshd'
+ id -G sshd
+ id -Gz sshd
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] sshd'
+ printf '\n%s: ' 'id -Gn[z] sshd'
+ id -Gn sshd
+ id -Gnz sshd
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] sshd'
+ printf '\n%s: ' 'id -Gr[z] sshd'
+ id -Gr sshd
+ id -Grz sshd
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] sshd'
+ printf '\n%s: ' 'id -Grn[z] sshd'
+ id -Grn sshd
+ id -Grnz sshd
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] sshd'
+ printf '\n%s: ' 'id -u[z] sshd'
+ id -u sshd
+ id -uz sshd
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] sshd'
+ printf '\n%s: ' 'id -un[z] sshd'
+ id -un sshd
+ id -unz sshd
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] sshd'
+ printf '\n%s: ' 'id -ur[z] sshd'
+ id -ur sshd
+ id -urz sshd
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] sshd'
+ printf '\n%s: ' 'id -urn[z] sshd'
+ id -urn sshd
+ id -urnz sshd
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] nobody'
+ printf '\n%s: ' 'id -g[z] nobody'
+ id -g nobody
+ id -gz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] nobody'
+ printf '\n%s: ' 'id -gn[z] nobody'
+ id -gn nobody
+ id -gnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] nobody'
+ printf '\n%s: ' 'id -gr[z] nobody'
+ id -gr nobody
+ id -grz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] nobody'
+ printf '\n%s: ' 'id -grn[z] nobody'
+ id -grn nobody
+ id -grnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] nobody'
+ printf '\n%s: ' 'id -G[z] nobody'
+ id -G nobody
+ id -Gz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] nobody'
+ printf '\n%s: ' 'id -Gn[z] nobody'
+ id -Gn nobody
+ id -Gnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] nobody'
+ printf '\n%s: ' 'id -Gr[z] nobody'
+ id -Gr nobody
+ id -Grz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] nobody'
+ printf '\n%s: ' 'id -Grn[z] nobody'
+ id -Grn nobody
+ id -Grnz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] nobody'
+ printf '\n%s: ' 'id -u[z] nobody'
+ id -u nobody
+ id -uz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] nobody'
+ printf '\n%s: ' 'id -un[z] nobody'
+ id -un nobody
+ id -unz nobody
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] nobody'
+ printf '\n%s: ' 'id -ur[z] nobody'
+ id -ur nobody
+ id -urz nobody
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] nobody'
+ printf '\n%s: ' 'id -urn[z] nobody'
+ id -urn nobody
+ id -urnz nobody
+ head -c-1
+ read u
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -g[z] '
+ printf '\n%s: ' 'id -g[z] '
+ id -g
+ id -gz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gn[z] '
+ printf '\n%s: ' 'id -gn[z] '
+ id -gn
+ id -gnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -gr[z] '
+ printf '\n%s: ' 'id -gr[z] '
+ id -gr
+ id -grz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -grn[z] '
+ printf '\n%s: ' 'id -grn[z] '
+ id -grn
+ id -grnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -G[z] '
+ printf '\n%s: ' 'id -G[z] '
+ id -G
+ id -Gz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gn[z] '
+ printf '\n%s: ' 'id -Gn[z] '
+ id -Gn
+ id -Gnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Gr[z] '
+ printf '\n%s: ' 'id -Gr[z] '
+ id -Gr
+ id -Grz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -Grn[z] '
+ printf '\n%s: ' 'id -Grn[z] '
+ id -Grn
+ id -Grnz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -u[z] '
+ printf '\n%s: ' 'id -u[z] '
+ id -u
+ id -uz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -un[z] '
+ printf '\n%s: ' 'id -un[z] '
+ id -un
+ id -unz
+ head -c-1
+ for o in g gr G Gr u ur
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -ur[z] '
+ printf '\n%s: ' 'id -ur[z] '
+ id -ur
+ id -urz
+ head -c-1
+ for n in ''\'''\''' n
+ printf '%s: ' 'id -urn[z] '
+ printf '\n%s: ' 'id -urn[z] '
+ id -urn
+ id -urnz
+ head -c-1
+ read u
+ printf '\n'
+ tr '\0' ' '
+ compare exp out2
+ compare_dev_null_ exp out2
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout2 = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out2
+ diff -u exp out2
+ diff_status_=0
+ test 0 -eq 0
+ rm -f diff.out
+ return 0
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -g agn root sshd nobody
+ id -gz agn root sshd nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -gn agn root sshd nobody
+ id -gnz agn root sshd nobody
+ tr '\0' '\n'
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -gr agn root sshd nobody
+ id -grz agn root sshd nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -grn agn root sshd nobody
+ id -grnz agn root sshd nobody
+ tr '\0' '\n'
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -u agn root sshd nobody
+ id -uz agn root sshd nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -un agn root sshd nobody
+ id -unz agn root sshd nobody
+ tr '\0' '\n'
+ for o in g gr u ur
+ for n in ''\'''\''' n
+ id -ur agn root sshd nobody
+ id -urz agn root sshd nobody
+ tr '\0' '\n'
+ for n in ''\'''\''' n
+ id -urn agn root sshd nobody
+ id -urnz agn root sshd nobody
+ tr '\0' '\n'
+ compare tmp1 tmp3
+ compare_dev_null_ tmp1 tmp3
+ test 2 = 2
+ test xtmp1 = x/dev/null
+ test xtmp3 = x/dev/null
+ return 2
+ case $? in
+ compare_ tmp1 tmp3
+ diff -u tmp1 tmp3
+ diff_status_=0
+ test 0 -eq 0
+ rm -f diff.out
+ return 0
+ NL='
'
+ for o in G Gr
+ for n in ''\'''\''' n
+ id -G agn root sshd nobody
+ id -Gz agn root sshd nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ for n in ''\'''\''' n
+ id -Gn agn root sshd nobody
+ id -Gnz agn root sshd nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ for o in G Gr
+ for n in ''\'''\''' n
+ id -Gr agn root sshd nobody
+ id -Grz agn root sshd nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ for n in ''\'''\''' n
+ id -Grn agn root sshd nobody
+ id -Grnz agn root sshd nobody
+ tr '\0' ' '
+ sed 's/  /\
/g'
sed: Missing newline at end of file standard input.
+ compare gtmp1 gtmp3
+ compare_dev_null_ gtmp1 gtmp3
+ test 2 = 2
+ test xgtmp1 = x/dev/null
+ test xgtmp3 = x/dev/null
+ return 2
+ case $? in
+ compare_ gtmp1 gtmp3
+ diff -u gtmp1 gtmp3
+ diff_status_=1
+ test 1 -eq 0
+ cat diff.out
--- gtmp1	Sat Dec 22 00:49:44 2018
+++ gtmp3	Sat Dec 22 00:49:44 2018
@@ -2,15 +2,19 @@
0 1 2 3 4 5 6 7 8 9 12
1
60001
+
csw
root other bin sys adm uucp mail tty lp nuucp daemon
other
nobody
+
10000
0 1 2 3 4 5 6 7 8 9 12
1
60001
+
csw
root other bin sys adm uucp mail tty lp nuucp daemon
other
nobody
+
+ rm -f diff.out
+ return 1
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-zero.sh.LoKm
+ exit 1
FAIL tests/id/zero.sh (exit status: 1)

FAIL: tests/ln/backup-1
=======================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-backup-1.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-backup-1.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
+++ perms='drwx------ 2 2 Dec 22 00:50 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ ln
+ require_built_ ln
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env ln --version
ln (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker and David MacKenzie.
+ touch a b
+ ln b b~
+ ln -f --b=simple a b
ln: failed to access 'b/a': Not a directory
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-backup-1.sh.MSIO
+ exit 1
FAIL tests/ln/backup-1.sh (exit status: 1)

FAIL: tests/ln/hard-backup
==========================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-hard-backup.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-hard-backup.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
+++ perms='drwx------ 2 2 Dec 22 00:50 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ ln
+ require_built_ ln
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env ln --version
ln (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker and David MacKenzie.
+ touch f
+ ln --backup f f
+ cat
+ compare exp out
+ compare_dev_null_ exp out
+ test 2 = 2
+ test xexp = x/dev/null
+ test xout = x/dev/null
+ return 2
+ case $? in
+ compare_ exp out
+ diff -u exp out
+ diff_status_=1
+ test 1 -eq 0
+ cat diff.out
--- exp	Sat Dec 22 00:50:04 2018
+++ out	Sat Dec 22 00:50:04 2018
@@ -1,1 +1,1 @@
-ln: 'f' and 'f' are the same file
+ln: failed to access 'f/f': Not a directory
+ rm -f diff.out
+ return 1
+ fail=1
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-hard-backup.sh.uIFb
+ exit 1
FAIL tests/ln/hard-backup.sh (exit status: 1)

FAIL: tests/ln/misc
===================

++ initial_cwd_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ testdir_prefix_
+++ printf gt
++ pfx_=gt
+++ mktempd_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0 gt-misc.sh.XXXX
+++ case $# in
+++ destdir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+++ template_=gt-misc.sh.XXXX
+++ MAX_TRIES_=4
+++ case $destdir_ in
+++ destdir_slash_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/
+++ case $template_ in
++++ unset TMPDIR
+++ d=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
+++ case $d in
+++ :
+++ test -d /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
++++ ls -dgo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
+++ perms='drwx------ 2 2 Dec 22 00:50 /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX'
+++ case $perms in
+++ :
+++ echo /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
+++ return
++ test_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
++ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
++ gl_init_sh_nl_='
'
++ IFS='
'
++ for sig_ in 1 2 3 13 15
+++ expr 1 + 128
++ eval 'trap '\''Exit 129'\'' 1'
+++ trap 'Exit 129' 1
++ for sig_ in 1 2 3 13 15
+++ expr 2 + 128
++ eval 'trap '\''Exit 130'\'' 2'
+++ trap 'Exit 130' 2
++ for sig_ in 1 2 3 13 15
+++ expr 3 + 128
++ eval 'trap '\''Exit 131'\'' 3'
+++ trap 'Exit 131' 3
++ for sig_ in 1 2 3 13 15
+++ expr 13 + 128
++ eval 'trap '\''Exit 141'\'' 13'
+++ trap 'Exit 141' 13
++ for sig_ in 1 2 3 13 15
+++ expr 15 + 128
++ eval 'trap '\''Exit 143'\'' 15'
+++ trap 'Exit 143' 15
++ trap remove_tmp_ 0
+ path_prepend_ ./src
+ test 1 '!=' 0
+ path_dir_=./src
+ case $path_dir_ in
+ abs_path_dir_=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $abs_path_dir_ in
+ PATH=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src:/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/src:/usr/xpg4/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:/usr/bin:/bin:/sbin:/usr/sbin
+ create_exe_shims_ /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/./src
+ case $EXEEXT in
+ return 0
+ shift
+ test 0 '!=' 0
+ export PATH
+ print_ver_ ln
+ require_built_ ln
+ skip_=no
+ for i in '"$@"'
+ case " $built_programs " in
+ test no = yes
+ test yes = yes
+ local i
+ for i in '$*'
+ env ln --version
ln (GNU coreutils) 8.30.33-1afb0
Copyright (C) 2018 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Mike Parker and David MacKenzie.
+ t=tln-symlink
+ d=tln-subdir
+ ld=tln-symlink-to-subdir
+ f=tln-file
+ touch tln-file
+ rm -f tln-symlink
+ ln -s tln-file tln-symlink
+ test -f tln-symlink
+ rm tln-symlink tln-file
+ touch tln-file
+ rm -rf tln-subdir
+ mkdir tln-subdir
+ ln -s ../tln-file tln-subdir/tln-symlink
+ test -f tln-subdir/tln-symlink
+ rm -rf tln-subdir tln-file
+ touch tln-file
+ rm -rf tln-subdir
+ mkdir tln-subdir
+ ln -s ../tln-file tln-subdir
+ test -f tln-subdir/tln-file
+ rm -rf tln-subdir tln-file
+ touch tln-file
+ rm -rf tln-subdir
+ mkdir tln-subdir tln-subdir/tln-file
+ returns_ 1 ln tln-file tln-subdir/
+ returns_ 1 ln -s tln-file tln-subdir/
+ rm -rf tln-subdir tln-file
+ touch tln-symlink
+ returns_ 1 ln -s tln-symlink tln-symlink
+ rm tln-symlink
+ touch tln-symlink
+ returns_ 1 ln -sf tln-symlink tln-symlink
+ rm tln-symlink
+ rm -rf tln-subdir
+ mkdir tln-subdir
+ touch tln-subdir/tln-file
+ ln -s tln-subdir/tln-file
+ test -f tln-file
+ rm -rf tln-subdir tln-file
+ rm -rf tln-subdir tln-file tln-symlink-to-subdir
+ touch tln-file
+ mkdir tln-subdir
+ ln -s tln-subdir tln-symlink-to-subdir
+ ln -s ../tln-file tln-symlink-to-subdir
+ test -f tln-subdir/tln-file
+ rm -rf tln-subdir tln-file tln-symlink-to-subdir
+ rm -rf tln-subdir tln-file tln-symlink-to-subdir
+ touch tln-file
+ mkdir tln-subdir
+ ln -s tln-subdir tln-symlink-to-subdir
++ pwd
+ af=/home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX/tln-file
+ ln --no-dereference -fs /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX/tln-file tln-symlink-to-subdir
+ test -f tln-symlink-to-subdir
+ rm -rf tln-subdir tln-file tln-symlink-to-subdir
+ touch a b
+ ln b b~
+ ln -f --b=simple a b
ln: failed to access 'b/a': Not a directory
+ fail=1
+ for cmd in ln cp mv ginstall
+ rm -rf a x a.orig
+ touch a x
+ ln --backup=simple --suffix=.orig x a
ln: failed to access 'a/x': Not a directory
+ fail=1
+ test -f a.orig
+ fail=1
+ for cmd in ln cp mv ginstall
+ rm -rf a x a.orig
+ touch a x
+ cp --backup=simple --suffix=.orig x a
+ test -f a.orig
+ for cmd in ln cp mv ginstall
+ rm -rf a x a.orig
+ touch a x
+ mv --backup=simple --suffix=.orig x a
+ test -f a.orig
+ for cmd in ln cp mv ginstall
+ rm -rf a x a.orig
+ touch a x
+ ginstall --backup=simple --suffix=.orig x a
+ test -f a.orig
+ ln foo ''
+ Exit 1
+ set +e
+ exit 1
+ exit 1
+ remove_tmp_
+ __st=1
+ cleanup_
+ :
+ test '' = yes
+ cd /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
+ chmod -R u+rwx /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
+ rm -rf /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0/gt-misc.sh.NauX
+ exit 1
FAIL tests/ln/misc.sh (exit status: 1)
Last lines of tail-error.log:
make-check failed, tail of make-check.log:

echo "$col$br$std";					\
fi;								\
$success || exit 1
make: Fatal error: Command failed for target `tests/test-suite.log'
Current working directory /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
*** Error code 1
The following command caused the error:
set +e; bases='tests/misc/help-version.log			 tests/tail-2/inotify-race.log			 tests/tail-2/inotify-race2.log			 tests/misc/invalid-opt.log			 tests/rm/ext3-perf.log				 tests/rm/cycle.log				 tests/cp/link-heap.log				 tests/cp/no-ctx.log				 tests/misc/tty-eof.log				 tests/tail-2/inotify-hash-abuse.log		 tests/tail-2/inotify-hash-abuse2.log		 tests/tail-2/F-vs-missing.log			 tests/tail-2/F-vs-rename.log			 tests/tail-2/F-headers.log			 tests/tail-2/descriptor-vs-rename.log		 tests/tail-2/inotify-rotate.log		 tests/tail-2/inotify-rotate-resources.log	 tests/tail-2/inotify-dir-recreate.log		 tests/tail-2/inotify-only-regular.log		 tests/chmod/no-x.log				 tests/chgrp/basic.log				 tests/rm/dangling-symlink.log			 tests/misc/ls-time.log				 tests/rm/d-1.log				 tests/rm/d-2.log				 tests/rm/d-3.log				 tests/rm/deep-1.log				 tests/rm/deep-2.log				 tests/rm/dir-no-w.log				 tests/rm/dir-nonrecur.log			 tests/rm/dot-rel.log				 tests/rm/isatty.log				 tests/rm/empty-inacc.log			 tests/rm/empty-name.log			 tests/rm/f-1.log				 tests/rm/fail-eacces.log			 tests/rm/fail-eperm.log			 tests/tail-2/assert.log			 tests/rm/hash.log				 tests/rm/i-1.log				 tests/rm/i-never.log				 tests/rm/i-no-r.log				 tests/rm/ignorable.log				 tests/rm/inaccessible.log			 tests/rm/interactive-always.log		 tests/rm/interactive-once.log			 tests/rm/ir-1.log				 tests/rm/one-file-system2.log			 tests/rm/r-1.log				 tests/rm/r-2.log				 tests/rm/r-3.log				 tests/rm/r-4.log				 tests/rm/r-root.log				 tests/rm/readdir-bug.log			 tests/rm/rm1.log				 tests/touch/empty-file.log			 tests/rm/rm2.log				 tests/rm/rm3.log				 tests/rm/rm4.log				 tests/rm/rm5.log				 tests/rm/sunos-1.log				 tests/rm/unread2.log				 tests/rm/unread3.log				 tests/rm/unreadable.log			 tests/rm/v-slash.log				 tests/rm/many-dir-entries-vs-OOM.log		 tests/rm/rm-readdir-fail.log			 tests/chgrp/default-no-deref.log		 tests/chgrp/deref.log				 tests/chgrp/no-x.log				 tests/chgrp/posix-H.log			 tests/chgrp/recurse.log			 tests/fmt/base.log				 tests/fmt/long-line.log			 tests/fmt/goal-option.log			 tests/misc/echo.log				 tests/misc/env.log				 tests/misc/ptx.log				 tests/misc/test.log				 tests/misc/seq.log				 tests/misc/seq-epipe.log			 tests/misc/seq-io-errors.log			 tests/misc/seq-long-double.log			 tests/misc/seq-precision.log			 tests/misc/head.log				 tests/misc/head-elide-tail.log			 tests/tail-2/tail-n0f.log			 tests/misc/ls-misc.log				 tests/misc/date.log				 tests/misc/date-next-dow.log			 tests/misc/ptx-overrun.log			 tests/misc/xstrtol.log				 tests/tail-2/overlay-headers.log		 tests/tail-2/pid.log				 tests/misc/od.log				 tests/misc/od-endian.log			 tests/misc/od-float.log			 tests/misc/mktemp.log				 tests/misc/arch.log				 tests/misc/join.log				 tests/pr/pr-tests.log				 tests/misc/pwd-option.log			 tests/misc/chcon-fail.log			 tests/misc/coreutils.log			 tests/misc/cut.log				 tests/misc/cut-huge-range.log			 tests/misc/wc.log				 tests/misc/wc-files0-from.log			 tests/misc/wc-files0.log			 tests/misc/wc-parallel.log			 tests/misc/wc-proc.log				 tests/misc/cat-proc.log			 tests/misc/cat-buf.log				 tests/misc/cat-self.log			 tests/misc/base64.log				 tests/misc/basename.log			 tests/misc/basenc.log				 tests/misc/close-stdout.log			 tests/misc/chroot-fail.log			 tests/misc/comm.log				 tests/misc/csplit.log				 tests/misc/csplit-1000.log			 tests/misc/csplit-heap.log			 tests/misc/csplit-io-err.log			 tests/misc/csplit-suppress-matched.log		 tests/misc/date-debug.log			 tests/misc/date-sec.log			 tests/misc/date-tz.log				 tests/misc/dircolors.log			 tests/misc/dirname.log				 tests/misc/env-null.log			 tests/misc/env-S.log				 tests/misc/env-S-script.log			 tests/misc/expand.log				 tests/misc/expr.log				 tests/misc/expr-multibyte.log			 tests/misc/factor.log				 tests/misc/factor-parallel.log			 tests/misc/false-status.log			 tests/misc/fold.log				 tests/misc/groups-dash.log			 tests/misc/groups-process-all.log		 tests/misc/groups-version.log			 tests/misc/head-c.log				 tests/misc/head-pos.log			 tests/misc/head-write-error.log		 tests/misc/kill.log				 tests/misc/b2sum.log				 tests/misc/md5sum.log				 tests/misc/md5sum-bsd.log			 tests/misc/md5sum-newline.log			 tests/misc/md5sum-parallel.log			 tests/misc/mknod.log				 tests/misc/nice.log				 tests/misc/nice-fail.log			 tests/misc/nl.log				 tests/misc/nohup.log				 tests/misc/nproc-avail.log			 tests/misc/nproc-positive.log			 tests/misc/nproc-override.log			 tests/misc/numfmt.log				 tests/misc/od-N.log				 tests/misc/od-j.log				 tests/misc/od-multiple-t.log			 tests/misc/od-x8.log				 tests/misc/paste.log				 tests/misc/pathchk1.log			 tests/misc/printenv.log			 tests/misc/printf.log				 tests/misc/printf-cov.log			 tests/misc/printf-hex.log			 tests/misc/printf-surprise.log			 tests/misc/printf-quote.log			 tests/misc/pwd-long.log			 tests/misc/readlink-fp-loop.log		 tests/misc/readlink-root.log			 tests/misc/realpath.log			 tests/misc/runcon-no-reorder.log		 tests/misc/sha1sum.log				 tests/misc/sha1sum-vec.log			 tests/misc/sha224sum.log			 tests/misc/sha256sum.log			 tests/misc/sha384sum.log			 tests/misc/sha512sum.log			 tests/misc/shred-exact.log			 tests/misc/shred-passes.log			 tests/misc/shred-remove.log			 tests/misc/shred-size.log			 tests/misc/shuf.log				 tests/misc/shuf-reservoir.log			 tests/misc/sleep.log				 tests/misc/sort.log				 tests/misc/sort-benchmark-random.log		 tests/misc/sort-compress.log			 tests/misc/sort-compress-hang.log		 tests/misc/sort-compress-proc.log		 tests/misc/sort-continue.log			 tests/misc/sort-debug-keys.log			 tests/misc/sort-debug-warn.log			 tests/misc/sort-discrim.log			 tests/misc/sort-files0-from.log		 tests/misc/sort-float.log			 tests/misc/sort-h-thousands-sep.log		 tests/misc/sort-merge.log			 tests/misc/sort-merge-fdlimit.log		 tests/misc/sort-month.log			 tests/misc/sort-exit-early.log			 tests/misc/sort-rand.log			 tests/misc/sort-spinlock-abuse.log		 tests/misc/sort-stale-thread-mem.log		 tests/misc/sort-unique.log			 tests/misc/sort-unique-segv.log		 tests/misc/sort-version.log			 tests/misc/sort-NaN-infloop.log		 tests/misc/sort-u-FMR.log			 tests/split/filter.log				 tests/split/suffix-auto-length.log		 tests/split/suffix-length.log			 tests/split/additional-suffix.log		 tests/split/b-chunk.log			 tests/split/fail.log				 tests/split/lines.log				 tests/split/line-bytes.log			 tests/split/l-chunk.log			 tests/split/r-chunk.log			 tests/split/record-sep.log			 tests/split/numeric.log			 tests/split/guard-input.log			 tests/misc/stat-birthtime.log			 tests/misc/stat-fmt.log			 tests/misc/stat-hyphen.log			 tests/misc/stat-mount.log			 tests/misc/stat-nanoseconds.log		 tests/misc/stat-printf.log			 tests/misc/stat-slash.log			 tests/misc/stdbuf.log				 tests/misc/stty.log				 tests/misc/stty-invalid.log			 tests/misc/stty-pairs.log			 tests/misc/stty-row-col.log			 tests/misc/sum.log				 tests/misc/sum-sysv.log			 tests/misc/sync.log				 tests/misc/tac.log				 tests/misc/tac-continue.log			 tests/misc/tac-2-nonseekable.log		 tests/misc/tail.log				 tests/misc/tee.log				 tests/misc/test-N.log				 tests/misc/test-diag.log			 tests/misc/time-style.log			 tests/misc/timeout.log				 tests/misc/timeout-blocked.log			 tests/misc/timeout-group.log			 tests/misc/timeout-parameters.log		 tests/misc/tr.log				 tests/misc/tr-case-class.log			 tests/misc/truncate-dangling-symlink.log	 tests/misc/truncate-dir-fail.log		 tests/misc/truncate-fail-diag.log		 tests/misc/truncate-fifo.log			 tests/misc/truncate-no-create-missing.log	 tests/misc/truncate-overflow.log		 tests/misc/truncate-parameters.log		 tests/misc/truncate-relative.log		 tests/misc/tsort.log				 tests/misc/tty.log				 tests/misc/usage_vs_getopt.log			 tests/misc/unexpand.log			 tests/misc/uniq.log				 tests/misc/uniq-perf.log			 tests/misc/xattr.log				 tests/misc/yes.log				 tests/tail-2/wait.log				 tests/tail-2/retry.log				 tests/tail-2/symlink.log			 tests/tail-2/tail-c.log			 tests/tail-2/truncate.log			 tests/chmod/c-option.log			 tests/chmod/equal-x.log			 tests/chmod/equals.log				 tests/chmod/inaccessible.log			 tests/chmod/octal.log				 tests/chmod/setgid.log				 tests/chmod/silent.log				 tests/chmod/thru-dangling.log			 tests/chmod/umask-x.log			 tests/chmod/usage.log				 tests/chown/deref.log				 tests/chown/preserve-root.log			 tests/chown/separator.log			 tests/cp/abuse.log				 tests/cp/acl.log				 tests/cp/attr-existing.log			 tests/cp/backup-1.log				 tests/cp/backup-dir.log			 tests/cp/backup-is-src.log			 tests/cp/cp-HL.log				 tests/cp/cp-deref.log				 tests/cp/cp-i.log				 tests/cp/cp-mv-backup.log			 tests/cp/cp-parents.log			 tests/cp/deref-slink.log			 tests/cp/dir-rm-dest.log			 tests/cp/dir-slash.log				 tests/cp/dir-vs-file.log			 tests/cp/existing-perm-dir.log			 tests/cp/existing-perm-race.log		 tests/cp/fail-perm.log				 tests/cp/fiemap-extents.log			 tests/cp/fiemap-FMR.log			 tests/cp/fiemap-perf.log			 tests/cp/fiemap-2.log				 tests/cp/file-perm-race.log			 tests/cp/into-self.log				 tests/cp/link.log				 tests/cp/link-deref.log			 tests/cp/link-no-deref.log			 tests/cp/link-preserve.log			 tests/cp/link-symlink.log			 tests/cp/nfs-removal-race.log			 tests/cp/no-deref-link1.log			 tests/cp/no-deref-link2.log			 tests/cp/no-deref-link3.log			 tests/cp/parent-perm.log			 tests/cp/parent-perm-race.log			 tests/cp/perm.log				 tests/cp/preserve-2.log			 tests/cp/preserve-link.log			 tests/cp/preserve-mode.log			 tests/cp/preserve-slink-time.log		 tests/cp/proc-short-read.log			 tests/cp/proc-zero-len.log			 tests/cp/r-vs-symlink.log			 tests/cp/reflink-auto.log			 tests/cp/reflink-perm.log			 tests/cp/same-file.log				 tests/cp/slink-2-slink.log			 tests/cp/sparse.log				 tests/cp/sparse-to-pipe.log			 tests/cp/special-f.log				 tests/cp/src-base-dot.log			 tests/cp/symlink-slash.log			 tests/cp/thru-dangling.log			 tests/df/header.log				 tests/df/df-P.log				 tests/df/df-output.log				 tests/df/df-symlink.log			 tests/df/unreadable.log			 tests/df/total-unprocessed.log			 tests/df/no-mtab-status.log			 tests/df/skip-duplicates.log			 tests/df/skip-rootfs.log			 tests/dd/ascii.log				 tests/dd/direct.log				 tests/dd/misc.log				 tests/dd/no-allocate.log			 tests/dd/nocache.log				 tests/dd/nocache_eof.log			 tests/dd/not-rewound.log			 tests/dd/reblock.log				 tests/dd/skip-seek.log				 tests/dd/skip-seek2.log			 tests/dd/bytes.log				 tests/dd/skip-seek-past-file.log		 tests/dd/sparse.log				 tests/dd/stderr.log				 tests/dd/unblock.log				 tests/dd/unblock-sync.log			 tests/dd/stats.log				 tests/df/total-verify.log			 tests/du/2g.log				 tests/du/8gb.log				 tests/du/basic.log				 tests/du/bigtime.log				 tests/du/deref.log				 tests/du/deref-args.log			 tests/du/exclude.log				 tests/du/fd-leak.log				 tests/du/files0-from.log			 tests/du/files0-from-dir.log			 tests/du/hard-link.log				 tests/du/inacc-dest.log			 tests/du/inacc-dir.log				 tests/du/inaccessible-cwd.log			 tests/du/inodes.log				 tests/du/long-from-unreadable.log		 tests/du/long-sloop.log			 tests/du/max-depth.log				 tests/du/move-dir-while-traversing.log		 tests/du/no-deref.log				 tests/du/no-x.log				 tests/du/one-file-system.log			 tests/du/restore-wd.log			 tests/du/slash.log				 tests/du/threshold.log				 tests/du/trailing-slash.log			 tests/du/two-args.log				 tests/id/gnu-zero-uids.log			 tests/id/no-context.log			 tests/id/context.log				 tests/id/uid.log				 tests/id/zero.log				 tests/id/smack.log				 tests/install/basic-1.log			 tests/install/create-leading.log		 tests/install/d-slashdot.log			 tests/install/install-C.log			 tests/install/install-C-selinux.log		 tests/install/install-Z-selinux.log		 tests/install/strip-program.log		 tests/install/trap.log				 tests/ln/backup-1.log				 tests/ln/hard-backup.log			 tests/ln/hard-to-sym.log			 tests/ln/misc.log				 tests/ln/relative.log				 tests/ln/sf-1.log				 tests/ln/slash-decorated-nonexistent-dest.log	 tests/ln/target-1.log				 tests/ls/a-option.log				 tests/ls/abmon-align.log			 tests/ls/block-size.log			 tests/ls/color-clear-to-eol.log		 tests/ls/color-dtype-dir.log			 tests/ls/color-norm.log			 tests/ls/color-term.log			 tests/ls/color-ext.log				 tests/ls/dangle.log				 tests/ls/dired.log				 tests/ls/file-type.log				 tests/ls/follow-slink.log			 tests/ls/getxattr-speedup.log			 tests/ls/hex-option.log			 tests/ls/infloop.log				 tests/ls/inode.log				 tests/ls/m-option.log				 tests/ls/w-option.log				 tests/ls/multihardlink.log			 tests/ls/no-arg.log				 tests/ls/no-cap.log				 tests/ls/proc-selinux-segfault.log		 tests/ls/quote-align.log			 tests/ls/readdir-mountpoint-inode.log		 tests/ls/recursive.log				 tests/ls/root-rel-symlink-color.log		 tests/ls/rt-1.log				 tests/ls/slink-acl.log				 tests/ls/stat-dtype.log			 tests/ls/stat-failed.log			 tests/ls/stat-free-color.log			 tests/ls/stat-free-symlinks.log		 tests/ls/stat-vs-dirent.log			 tests/ls/symlink-quote.log			 tests/ls/symlink-slash.log			 tests/ls/time-style-diag.log			 tests/ls/x-option.log				 tests/ls/hyperlink.log				 tests/mkdir/p-1.log				 tests/mkdir/p-2.log				 tests/mkdir/p-3.log				 tests/mkdir/p-acl.log				 tests/mkdir/p-slashdot.log			 tests/mkdir/p-thru-slink.log			 tests/mkdir/p-v.log				 tests/mkdir/parents.log			 tests/mkdir/perm.log				 tests/mkdir/selinux.log			 tests/mkdir/restorecon.log			 tests/mkdir/special-1.log			 tests/mkdir/t-slash.log			 tests/mkdir/smack-no-root.log			 tests/mv/acl.log				 tests/mv/atomic.log				 tests/mv/atomic2.log				 tests/mv/backup-dir.log			 tests/mv/backup-is-src.log			 tests/mv/childproof.log			 tests/mv/diag.log				 tests/mv/dir-file.log				 tests/mv/dir2dir.log				 tests/mv/dup-source.log			 tests/mv/force.log				 tests/mv/hard-2.log				 tests/mv/hard-3.log				 tests/mv/hard-4.log				 tests/mv/hard-link-1.log			 tests/mv/i-1.log				 tests/mv/i-2.log				 tests/mv/i-3.log				 tests/mv/i-4.log				 tests/mv/i-5.log				 tests/mv/i-link-no.log				 tests/mv/into-self.log				 tests/mv/into-self-2.log			 tests/mv/into-self-3.log			 tests/mv/into-self-4.log			 tests/mv/leak-fd.log				 tests/mv/mv-n.log				 tests/mv/mv-special-1.log			 tests/mv/no-target-dir.log			 tests/mv/part-fail.log				 tests/mv/part-hardlink.log			 tests/mv/part-rename.log			 tests/mv/part-symlink.log			 tests/mv/partition-perm.log			 tests/mv/perm-1.log				 tests/mv/symlink-onto-hardlink.log		 tests/mv/symlink-onto-hardlink-to-self.log	 tests/mv/to-symlink.log			 tests/mv/trailing-slash.log			 tests/mv/update.log				 tests/readlink/can-e.log			 tests/readlink/can-f.log			 tests/readlink/can-m.log			 tests/readlink/multi.log			 tests/readlink/rl-1.log			 tests/rmdir/fail-perm.log			 tests/rmdir/ignore.log				 tests/rmdir/t-slash.log			 tests/tail-2/assert-2.log			 tests/tail-2/big-4gb.log			 tests/tail-2/flush-initial.log			 tests/tail-2/follow-name.log			 tests/tail-2/follow-stdin.log			 tests/tail-2/pipe-f.log			 tests/tail-2/pipe-f2.log			 tests/tail-2/proc-ksyms.log			 tests/tail-2/start-middle.log			 tests/touch/60-seconds.log			 tests/touch/dangling-symlink.log		 tests/touch/dir-1.log				 tests/touch/fail-diag.log			 tests/touch/fifo.log				 tests/touch/no-create-missing.log		 tests/touch/no-dereference.log			 tests/touch/no-rights.log			 tests/touch/not-owner.log			 tests/touch/obsolescent.log			 tests/touch/read-only.log			 tests/touch/relative.log			 tests/touch/trailing-slash.log			 tests/chown/basic.log				 tests/cp/cp-a-selinux.log			 tests/cp/preserve-gid.log			 tests/cp/special-bits.log			 tests/cp/cp-mv-enotsup-xattr.log		 tests/cp/capability.log			 tests/cp/sparse-fiemap.log			 tests/cp/cross-dev-symlink.log			 tests/dd/skip-seek-past-dev.log		 tests/df/problematic-chars.log			 tests/df/over-mount-device.log			 tests/du/bind-mount-dir-cycle.log		 tests/du/bind-mount-dir-cycle-v2.log		 tests/id/setgid.log				 tests/install/install-C-root.log		 tests/ls/capability.log			 tests/ls/nameless-uid.log			 tests/misc/chcon.log				 tests/misc/chroot-credentials.log		 tests/misc/selinux.log				 tests/misc/truncate-owned-by-other.log		 tests/mkdir/writable-under-readonly.log	 tests/mkdir/smack-root.log			 tests/mv/hardlink-case.log			 tests/mv/sticky-to-xpart.log			 tests/rm/fail-2eperm.log			 tests/rm/no-give-up.log			 tests/rm/one-file-system.log			 tests/rm/read-only.log				 tests/tail-2/append-only.log			 tests/tail-2/end-of-device.log			 tests/touch/now-owned-by-other.log tests/factor/t00.log tests/factor/t01.log tests/factor/t02.log tests/factor/t03.log tests/factor/t04.log  tests/factor/t05.log tests/factor/t06.log tests/factor/t07.log tests/factor/t08.log tests/factor/t09.log  tests/factor/t10.log tests/factor/t11.log tests/factor/t12.log tests/factor/t13.log tests/factor/t14.log  tests/factor/t15.log tests/factor/t16.log tests/factor/t17.log tests/factor/t18.log tests/factor/t19.log  tests/factor/t20.log tests/factor/t21.log tests/factor/t22.log tests/factor/t23.log tests/factor/t24.log  tests/factor/t25.log tests/factor/t26.log tests/factor/t27.log tests/factor/t28.log tests/factor/t29.log  tests/factor/t30.log tests/factor/t31.log tests/factor/t32.log tests/factor/t33.log tests/factor/t34.log  tests/factor/t35.log tests/factor/t36.log';  bases=`for i in $bases; do echo $i; done | sed 's/\.log$//'`;  bases=`echo $bases`; \
log_list=`for i in $bases; do echo $i.log; done`; \
trs_list=`for i in $bases; do echo $i.trs; done`; \
log_list=`echo $log_list`; trs_list=`echo $trs_list`; \
make  tests/test-suite.log TEST_LOGS="$log_list"; \
exit $?;
make: Fatal error: Command failed for target `check-TESTS'
Current working directory /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
*** Error code 1
make: Fatal error: Command failed for target `check-am'
Current working directory /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
*** Error code 1
The following command caused the error:
fail=; \
if (target_option=k; case ${target_option-} in  ?) ;;  *) echo "am__make_running_with_option: internal error: invalid"  "target option '${target_option-}' specified" >&2;  exit 1;;  esac;  has_opt=no;  sane_makeflags=$MAKEFLAGS;  if {  if test -z '1'; then  false;  elif test -n ''; then  true;  elif test -n '' && test -n ''; then  true;  else  false;  fi;  }; then  sane_makeflags=$MFLAGS;  else  case $MAKEFLAGS in  *\\[\ \	]*)  bs=\\;  sane_makeflags=`printf '%s\n' "$MAKEFLAGS"  | sed "s/$bs$bs[$bs $bs	]*//g"`;;  esac;  fi;  skip_next=no;  strip_trailopt ()  {  flg=`printf '%s\n' "$flg" | sed "s/$1.*$//"`;  };  for flg in $sane_makeflags; do  test $skip_next = yes && { skip_next=no; continue; };  case $flg in  *=*|--*) continue;;  -*I) strip_trailopt 'I'; skip_next=yes;;  -*I?*) strip_trailopt 'I';;  -*O) strip_trailopt 'O'; skip_next=yes;;  -*O?*) strip_trailopt 'O';;  -*l) strip_trailopt 'l'; skip_next=yes;;  -*l?*) strip_trailopt 'l';;  -[dEDm]) skip_next=yes;;  -[JT]) skip_next=yes;;  esac;  case $flg in  *$target_option*) has_opt=yes; break;;  esac;  done;  test $has_opt = yes); then \
failcom='fail=yes'; \
else \
failcom='exit 1'; \
fi; \
dot_seen=no; \
target=`echo check-recursive | sed s/-recursive//`; \
case "check-recursive" in \
distclean-* | maintainer-clean-*) list='po . gnulib-tests' ;; \
*) list='po . gnulib-tests' ;; \
esac; \
for subdir in $list; do \
echo "Making $target in $subdir"; \
if test "$subdir" = "."; then \
dot_seen=yes; \
local_target="$target-am"; \
else \
local_target="$target"; \
fi; \
(CDPATH="${ZSH_VERSION+.}:" && cd $subdir && make  $local_target) \
|| eval $failcom; \
done; \
if test "$dot_seen" = "no"; then \
make  "$target-am" || exit 1; \
fi; test -z "$fail"
make: Fatal error: Command failed for target `check-recursive'
Current working directory /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK/coreutils-8.30.33-1afb0
*** Error code 1
make: Fatal error: Command failed for target `check'

Build information

PATH /usr/gnu/bin:/usr/xpg6/bin:/usr/xpg4/bin/:/opt/csw/bin:usr/sfw/bin:/usr/bin:/bin
SHELL /opt/csw/bin/bash
PWD /home/agn/pretest.2018-12-21.a2aOm3/coreutils-8.30.33-1afb0.XcQbWK
hostname unstable10s
SOURCE https://agnx.s3.amazonaws.com/tmp/coreutils-8.30.33-1afb0.tar.xz
BASENAME coreutils-8.30.33-1afb0
configure_extra_params
make_extra_params
make_check_extra_params
env_extra_params
git_branch

Build host information

autoconf-version autoconf (GNU Autoconf) 2.69
automake-version automake (GNU automake) 1.15.1
autopoint-version no-version
autoreconf-version autoreconf (GNU Autoconf) 2.69
make-version no-version
makeinfo-version texi2any (GNU texinfo) 6.1
git-version git version 2.4.0
wget-version GNU Wget 1.19.4 built on solaris2.10.
rsync-version rsync version 3.1.2 protocol version 31
gcc-version gcc (GCC) 5.5.0
cc-version no-version
uname-s SunOS
uname-r 5.10
uname-m sun4v
uname-p sparc
uname-i SUNW,SPARC-Enterprise-T5220
uname-o
uname-v Generic_150400-17
lsb_release-v
lsb_release-i
lsb_release-d
lsb_release-r
lsb_release-c
etc_release Oracle Solaris 10 8/11 s10s_u10wos_17b SPARC
etc_issue

Download Log Files

logs/input.txt 203 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/input.txt'
logs/tests-suite-summary.log 44.3 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/tests-suite-summary.log'
logs/configure.log 44.6 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/configure.log'
logs/config.status 104.0 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/config.status'
logs/configure.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/configure.ok'
logs/timestamp.start.txt 68 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/timestamp.start.txt'
logs/make-check.log 894.5 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/make-check.log'
logs/test-suite.0.log 825.0 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/test-suite.0.log'
logs/versions.txt 722 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/versions.txt'
logs/make.ok 0 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/make.ok'
logs/config.log 3.6 MB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/config.log'
logs/make.log 17.8 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/make.log'
logs/status 18 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/status'
logs/tail-error.log 20.3 kB curl -JLO 'http://pretest.housegordon.org/g/6042/logs/tail-error.log'
logs/environment.txt 202 Bytes curl -JLO 'http://pretest.housegordon.org/g/6042/logs/environment.txt'